# frozen_string_literal: true

require_relative "lib/csv/probe/version"

Gem::Specification.new do |spec|
  spec.name = "csv-probe"
  spec.version = Probe::VERSION
  spec.authors = ["homebase.dev"]
  spec.email = ["homebase.dev@gmail.com"]

  spec.summary = "Allows validation of CSV::Table or CSV::Rows via custom rules"
  spec.description = "This gem provides a simple framework for CSV::Table/CSV::Row linting"\
                     "using custom rules for columns and rows"
  spec.homepage = "https://gitlab.com/homebase-dev/csv-probe"
  spec.license = "MIT"
  spec.required_ruby_version = ">= 2.6.0"

  # spec.metadata["allowed_push_host"] = "TODO: Set to your gem server 'https://example.com'"
  spec.metadata["rubygems_mfa_required"] = "true"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://gitlab.com/homebase-dev/csv-probe"
  spec.metadata["changelog_uri"] = "https://gitlab.com/homebase-dev/csv-probe"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "csv", "~> 3.1.9"
  spec.add_dependency "terminal-table", "~> 3.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
